Package org.sonatype.maven.polyglot.mapping

# Class MappingSupport

java.lang.Object
org.sonatype.maven.polyglot.mapping.MappingSupport

All Implemented Interfaces:
  `Mapping`

Direct Known Subclasses:
  `GroovyMapping`, `XmlMapping`

public abstract class MappingSupport extends Object implements Mapping
Support for `Mapping` implementations.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MappingSupport(String roleHint)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(Map<String,?> options)`
`String[]`
`getAcceptLocationExtensions()`
`String[]`
`getAcceptOptionKeys()`
`String[]`
`getPomNames()`
`float`
`getPriority()`
`org.apache.maven.model.io.ModelReader`
`getReader()`
`org.apache.maven.model.io.ModelWriter`
`getWriter()`
`File`
`locatePom(File dir)`
`void`
`setAcceptLocationExtensions(String... accept)`
`void`
`setAcceptOptionKeys(String... accept)`
`void`
`setPomNames(String... names)`
`protected void`
`setPriority(float priority)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingSupport

protected MappingSupport(String roleHint)

## Method Details

### getReader

public org.apache.maven.model.io.ModelReader getReader()

Specified by:
  `getReader` in interface `Mapping`

### getWriter

public org.apache.maven.model.io.ModelWriter getWriter()

Specified by:
  `getWriter` in interface `Mapping`

### getAcceptLocationExtensions

public String[] getAcceptLocationExtensions()

### setAcceptLocationExtensions

public void setAcceptLocationExtensions(String... accept)

### getAcceptOptionKeys

public String[] getAcceptOptionKeys()

### setAcceptOptionKeys

public void setAcceptOptionKeys(String... accept)

### getPomNames

public String[] getPomNames()

### setPomNames

public void setPomNames(String... names)

### locatePom

public File locatePom(File dir)

Specified by:
  `locatePom` in interface `Mapping`

### accept

public boolean accept(Map<String,?> options)

Specified by:
  `accept` in interface `Mapping`

### getPriority

public float getPriority()

Specified by:
  `getPriority` in interface `Mapping`

### setPriority

protected void setPriority(float priority)